guix-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#45285: [PATCH] gnu: Add ark.


From: Maxim Cournoyer
Subject: bug#45285: [PATCH] gnu: Add ark.
Date: Fri, 16 Jul 2021 00:09:44 -0400
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)

Hello,

Z572 <873216071@qq.com> writes:

> Hi,
>
> Ludovic Court├Ęs <ludo@gnu.org> skribis:
>
>>>> QWARN  : ExtractTest::testExtraction(extract all entries from a xar 
>>>> archive with path) ark.libarchive: Could not open the archive: 
>>>> Unrecognized archive format
>>>> QWARN  : ExtractTest::testExtraction(extract all entries from a xar 
>>>> archive with path) ark.libarchive: Could not open the archive: 
>>>> Unrecognized archive format
>>>> FAIL!  : ExtractTest::testExtraction(extract all entries from a xar 
>>>> archive with path) Compared values are not the same
>>>>    Actual   (extractedEntriesCount)        : 0
>>>>    Expected (expectedExtractedEntriesCount): 6
>>>>    Loc: 
>>>> [/tmp/guix-build-ark-20.04.1.drv-0/ark-20.04.1/autotests/kerfuffle/extracttest.cpp(469)]
>>>
>>> The tests fail.
>>
>> What you paste above sounds like there could be a real issue with some
>> archive formats, which may be a core issue for this archiving tool.
>>
>> Could you investigate a bit and/or get in touch with upstream to see if
>> they can provide guidance?
>
> I think this is guix libarchive's problem, it doesn't support xar format 
> because it
> needs to input OpenSSL, EXPAT, And XML2.
> See libarchive-3.4.2.tar.xz!libarchive-3.4.2/configure :
>
> -----+------------------------------------------------------------------------------
> L1546|  --without-openssl       Don't build support for mtree and xar hashes 
> through
> L1547|                          openssl
> L1548|  --without-xml2          Don't build support for xar through libxml2
> L1549|  --without-expat         Don't build support for xar through expat
> -----+------------------------------------------------------------------------------
>
> It's new patch.

Thanks for the update!

I've moved it to the (gnu packages kde-utils) module, dropped the
unnecessary lz4 input, moved the propagated inputs to inputs and wrapped
the command line tools using wrap-program in a phase, tested that it
could run and open a tarball, and applied as commit 4094d12df1.

Thank you for the contribution!

Closing.

Maxim





reply via email to

[Prev in Thread] Current Thread [Next in Thread]